Skip to content
Skip to main content
POST
/v3/scheduling/bookings

Book an event

Books an event with the participants listed in the session's Configuration object, using the details from the Configuration. The start_time and end_time must correspond to a valid time slot returned by the Scheduling Availability endpoint using the same Configuration.

Nylas validates the session ID and uses it to retrieve the related Configuration object. If you created a public Configuration, you don't need to include the Authorization request header with a session ID, but you do need to pass the Configuration object ID as a query parameter.

SCHEDULER SESSION TOKEN

Parameters

Query parameters

timezonestring

The timezone to use for the booking. If not provided, Nylas uses the timezone from the Configuration object.

configuration_idstring

The ID of the Configuration object whose settings are used for calculating availability. If you're using session authentication (requires_session_auth is set to true), configuration_id is not required.

slugstring

The slug of the Configuration object. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth is set to true) or using the configuration_id, slug is not required.

client_idstring

The client ID that was used to create the Configuration object. client_id is required only if you're using slug.

Request body

start_time*integer

The event's start time, in seconds using the Unix timestamp format.

end_time*integer

The event's end time, in seconds using the Unix timestamp format.

participantsarray<object>

An array of objects that include a list of participant email addresses from the Configuration object to include in the booking. If not provided, Nylas includes all participants from the Configuration object.

guest*object

Details about the guest that is creating the booking. The guest name and email are required.

timezonestring

The guest's timezone, used in email notifications. If not provided, Nylas uses the timezone from the Configuration object.

email_languagestring

The language of the guest email notifications.

enfrdeesnlsvjazh
Default: "en"
additional_guestsarray<object>

An array of objects that include a list of additional guest email addresses to include in the booking.

additional_fieldsobject

A dictionary of additional field keys mapped to the values populated by the guest in the booking form.

Example: {"name":"Dorothy Vaughan","email_address":"[email protected]"}

Responses

request_idstring

The request ID.

dataobject
POSThttps://api.us.nylas.com/v3/scheduling/bookings

Paste the authorization token required for this endpoint.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.